org.jetlang.web

## Class NioReader.Close

- java.lang.Object
- - org.jetlang.web.NioReader.Close

All Implemented Interfaces:
  NioReader.State

Enclosing class:
  NioReader<T>

    public static class NioReader.Close
    extends Object
    implements NioReader.State

### Constructor Summary

Constructors
Constructor and Description
`Close()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `continueReading()`
`void` `onClosed()`
`NioReader.State` `processBytes(ByteBuffer bb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.NioReader.State

`minRequiredBytes, process`

### Constructor Detail

#### Close

    public Close()

### Method Detail

#### processBytes

    public NioReader.State processBytes(ByteBuffer bb)

Specified by:
  `processBytes` in interface `NioReader.State`

#### continueReading

    public boolean continueReading()

Specified by:
  `continueReading` in interface `NioReader.State`

#### onClosed

    public void onClosed()

Specified by:
  `onClosed` in interface `NioReader.State`